Subject: bug#32119: Parted molests system firmware partitions.

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 19 Jul 2018 15:24:04 -0700

On Tue, Jul 10, 2018 at 06:27:30PM +0000, Laurence Perkins (OE) wrote:
> Calling parted -l however attempts to open these devices read-write. 
> Which fails and generates a dmesg entry that, prior to the 4.14 kernel,
> was difficult to distinguish from the messages generated by a failing
> eMMC device.

Which version of parted are you using and does it include this patch:

https://github.com/bcl/parted/commit/44d5ae0115c4ecfe3158748309e9912c5aede92d

That should prevent partprobe and parted -l from opening it R/W when it
doesn't need to.

-- 
Brian C. Lane (PST8PDT)